/*
 * Copyright ©Rastislav Mirek. All rights reserved.
 * No waranty for this software or derived works.
 */

package cz.muni.fi.pb162.trainexample;

/**
 * This class represents Carriage.
 *
 * Created 12.11.2009 at 18:38:16.
 *
 * @author Rastislav Mirek <rmirek at mail.muni.cz>
 * @version %I%, %G%
 * @since 1.0
 */
public abstract class Carriage extends RailVehicle{

    private double length; //in meters

    /**
     * @param id id of rail vehicle used by railways to identify vehicle
     * @param length of carriage in meters
     * @see RailVehicle#RailVehicle(java.lang.String) for detail on id value
     * @throws IllegalArgumentException if length <= 0
     */
    public Carriage(String id, double length) {
        super(id);
        if(length <= 0){
            throw new IllegalArgumentException("Length of carriage must be " +
                    "greater then zero but was " + length);
        }
        this.length = length;
    }

    /**
     * Standard getter for field length
     * @return length of carriage in meters
     */
    public double getLength() {
        return length;
    }

    @Override
    public String toString() {
        return "Carriage with id " + getId();
    }


}
