/*
 * Copyright ©Rastislav Mirek. All rights reserved.
 * No waranty for this software or derived works.
 */

package cz.muni.fi.pb162.trainexample;

/**
 * This class represents RailVehicle.
 *
 * Created 12.11.2009 at 18:38:53.
 *
 * @author Rastislav Mirek <rmirek at mail.muni.cz>
 * @version %I%, %G%
 * @since 1.0
 */
public abstract class RailVehicle {

    private String id;

    /**
     * @param id id of rail vehicle used by railways to identify vehicle
     * @throws NullPointerException if id is null
     * @throws IllegalArgumentException if id is empty string
     */
    public RailVehicle(String id) {
        if(id == null){
            throw new NullPointerException("id");
        }
        if(id.equals("")){
            throw new IllegalArgumentException("id of rail vehicle cannot be empty string");
        }
        this.id = id;
    }

    /**
     * Standard getter for id field
     * @return id of vehicle
     */
    public String getId() {
        return id;
    }


}
